%global srcname seqdiag

Summary:        Generate sequence-diagram images from text
Name:           python-%{srcname}
Version:        3.0.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://blockdiag.com/en/seqdiag/index.html
Source0:        https://files.pythonhosted.org/packages/source/s/seqdiag/seqdiag-%{version}.tar.gz

Patch5000:      drop-setup-inline-svg-is-true-with-multibytes-test.patch

BuildRequires:  python3-devel python3-blockdiag python3-docutils python3-flake8 python3-nose
BuildRequires:  python3-pillow python3-reportlab python3-setuptools python3-tox-current-env

BuildArch:      noarch


%description
seqdiag generate sequence-diagram image file from spec-text file.


%package -n %{srcname}
Summary:        Generate sequence-diagram images from text
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n %{srcname}
seqdiag generate sequence-diagram image file from spec-text file.


%package -n python3-%{srcname}
Summary:        Python 3 module for %{srcname}

%description -n python3-%{srcname}
seqdiag generate sequence-diagram image file from spec-text file.


%prep
%autosetup -n %{srcname}-%{version} -p1


%build
%py3_build


%install
%py3_install
install -m 0644 -D %{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1


%check
ALL_TESTS=1 %tox


%files -n %{srcname}
%license LICENSE
%doc README.rst
%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1*


%files -n python3-%{srcname}
%license LICENSE
%doc PKG-INFO README.rst
%{python3_sitelib}/%{srcname}*
%exclude %{python3_sitelib}/%{srcname}/tests


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.0-1
- initial build
